Bug 1251878 - [origin_platformmanagement_480]Builder and S2I still work after Atomic-enterprise started even add the disabledFeatures config
[origin_platformmanagement_480]Builder and S2I still work after Atomic-enterp...
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Minar
Jianwei Hou
Depends On:
  Show dependency treegraph
Reported: 2015-08-10 04:21 EDT by weiwei jiang
Modified: 2016-10-30 18:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-23 16:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2015-08-10 04:21:13 EDT
Description of problem:
After start atomic-enterprise, the builder and S2I still work,
and even add the following config to master-config.yaml, builder and S2I still work:
 - Web Console
 - Builder
 - S2I Builder

Version-Release number of selected component (if applicable):
# atomic-enterprise version  
atomic-enterprise v1.0.4-112-g1954a4b 
kubernetes v1.0.0

How reproducible:

Steps to Reproduce:
1. Start atomic-enterprise
 atomic-enterprise start --master-config=openshift.local.config/master/master-config.yaml --node-config=openshift.local.config/node-ip-10-11-200-112/node-config.yaml 
2. Create application which need S2I build
3. Check if the build can work or not

Actual results:
Build and S2I work fine

Expected results:
Build and S2I should not work for atomic-enterprise.

Additional info:
Comment 2 Gaoyun Pei 2015-11-11 00:15:39 EST
Now the Atomic Enterprise Platform is using atomic-openshift-master/node service just as OpenShift Enterprise, the related feature would be disabled according to the deployment_type when installing the environment. 
Move the bug to VERIFIED for the AEP could installed successfully and WebConsole/Builder/S2I Builder is disabled by default.

Note You need to log in before you can comment on or make changes to this bug.